<template>
    <app-layout>
        <div class="row justify-content-center">
            <div class="col">
                <h1 class="h2 mb-3">Manange Maps</h1>
                
                
                <table class="table table-hover">
                    <thead>
                        <tr class="table-dark">
                            <th scope="col">Image</th>
                            <th scope="col">Name</th>
                            <th scope="col">Custom Name</th>
                            <th scope="col">String ID</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr v-for="map in maps" :key="map.id">
                            <td class="align-middle">
                                <a v-if="map.image" :href="route('imagecache', ['original', map.image])" target="_blank">
                                    <img :src="route('imagecache', ['small', map.image])" class="img-fluid" />
                                </a>
                            </td>
                            <td class="align-middle">
                                <inertia-link :href="route('server.maps.get', map)" class="text-decoration-none d-block">
                                    {{ map.name }}
                                </inertia-link>
                            </td>
                            <td class="align-middle">{{ map.custom_name }}</td>
                            <td class="align-middle">{{ map.string_id }}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </app-layout>
</template>

<script>
    import AppLayout from '@/Layouts/AppLayout'
    
    export default {
        props: {
            'maps': Array,
        },
        
        components: {
            AppLayout,
        },
    }
</script>